# Offices APIs to create and manage company offices. ## Create office - [POST /v2/companies/{companyId}/legal-entities/{legalEntityId}/offices](https://developer.spotnana.com/openapi/companyapi/offices/createoffice.md): This endpoint creates an office. ## List offices of the legal entity - [GET /v2/companies/{companyId}/legal-entities/{legalEntityId}/offices](https://developer.spotnana.com/openapi/companyapi/offices/listlegalentityoffices.md): This endpoint list offices of given legal entity. If externalId is provided in query param, the office having the externalId is fetched. ## List company offices - [POST /v2/companies/{companyId}/office-list](https://developer.spotnana.com/openapi/companyapi/offices/listofficesv2.md) ## Get office - [GET /v2/companies/{companyId}/legal-entities/{legalEntityId}/offices/{officeId}](https://developer.spotnana.com/openapi/companyapi/offices/getoffice.md): This endpoint gets an office by ID. ## Update office - [PUT /v2/companies/{companyId}/legal-entities/{legalEntityId}/offices/{officeId}](https://developer.spotnana.com/openapi/companyapi/offices/updateoffice.md): This endpoing updates office by ID. ## Delete office - [DELETE /v2/companies/{companyId}/legal-entities/{legalEntityId}/offices/{officeId}](https://developer.spotnana.com/openapi/companyapi/offices/deleteoffice.md): This endpoint deletes office by ID.